grub_2.02~beta2-5 hints

Bug #1273694 reported by syscon-hh on 2014-01-28
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
grub2 (Ubuntu)
High
Colin Watson

Bug Description

Based on a fresh Kubuntu installation
 * grub-version after installation was 2.00-22
After the upgrade (activated proposed) to grub_2.02~beta2-5 I got an additional folder 'grub' and an additional entry inside the 'nvram':

The information to these folders inside directory '/boot/efi/EFI' are
 * bevor upgrade

root@USB-KUBUNTU:/boot/efi/EFIsudo efibootmgr
BootCurrent: 0003
Timeout: 1 seconds
BootOrder: 0002,0001,0003,0000
Boot0000* Ubuntu
Boot0001* Windows Boot Manager
Boot0002* Precise Pangolin
Boot0003* UEFI: Sony Storage Media 1.00

root@USB-KUBUNTU:/boot/efi/EFI# ls -la
insgesamt 2
drwxr-xr-x 5 root root 512 Jan 28 11:38 .
drwxr-xr-x 3 root root 512 Jan 1 1970 ..
drwxr-xr-x 2 root root 512 Jan 27 18:27 Boot
drwxr-xr-x 2 root root 512 Jan 27 16:49 ubuntu

 * after upgrade

root@USB-KUBUNTU:/boot/efi/EFI# ls -la
insgesamt 3
drwxr-xr-x 5 root root 512 Jan 28 11:38 .
drwxr-xr-x 3 root root 512 Jan 1 1970 ..
drwxr-xr-x 2 root root 512 Jan 27 18:27 Boot
drwxr-xr-x 2 root root 512 Jan 28 11:21 grub
drwxr-xr-x 2 root root 512 Jan 27 16:49 ubuntu
root@USB-KUBUNTU:/boot/efi/EFI# ls -la ubuntu
insgesamt 3361
drwxr-xr-x 2 root root 512 Jan 27 16:49 .
drwxr-xr-x 5 root root 512 Jan 28 11:38 ..
-rwxr-xr-x 1 root root 127 Jan 27 16:49 grub.cfg
-rwxr-xr-x 1 root root 905080 Jan 27 16:49 grubx64.efi
-rwxr-xr-x 1 root root 1178240 Jan 27 16:49 MokManager.efi
-rwxr-xr-x 1 root root 1355736 Jan 27 16:49 shimx64.efi
root@USB-KUBUNTU:/boot/efi/EFI# ls -la grub
insgesamt 3411
drwxr-xr-x 2 root root 512 Jan 28 11:21 .
drwxr-xr-x 5 root root 512 Jan 28 11:38 ..
-rwxr-xr-x 1 root root 128 Jan 28 11:37 grub.cfg
-rwxr-xr-x 1 root root 956792 Jan 28 11:37 grubx64.efi
-rwxr-xr-x 1 root root 1178240 Jan 28 11:37 MokManager.efi
-rwxr-xr-x 1 root root 1355736 Jan 28 11:37 shimx64.efi

  * sudo grub-install -v ## (reproduced for information):

 **** update grub version 2.02~beta2-5 ****
 grub-install: Info: copying `/usr/lib/shim/shim.efi.signed' -> `/boot/efi/EFI/grub/shimx64.efi'.
grub-install: Info: copying `/usr/lib/grub/x86_64-efi-signed/grubx64.efi.signed' -> `/boot/efi/EFI/grub/grubx64.efi'.
grub-install: Info: copying `/usr/lib/shim/MokManager.efi.signed' -> `/boot/efi/EFI/grub/MokManager.efi'.
grub-install: Info: copying `/boot/grub/x86_64-efi/load.cfg' -> `/boot/efi/EFI/grub/grub.cfg'.
grub-install: Info: Registering with EFI: distributor = `grub', path = `\EFI\grub\shimx64.efi', ESP at hostdisk//dev/sdd,gpt1.
grub-install: Info: executing efibootmgr --version </dev/null >/dev/null.
grub-install: Info: executing modprobe -q efivars.
grub-install: Info: executing efibootmgr -b 0000 -B.
BootCurrent: 0000
Timeout: 1 seconds
BootOrder: 0002,0001,0003
Boot0001* Windows Boot Manager
Boot0002* Precise Pangolin
Boot0003* UEFI: Sony Storage Media 1.00
grub-install: Info: executing efibootmgr -c -d /dev/sdd -p 1 -w -L grub -l \EFI\grub\shimx64.efi.
BootCurrent: 0000
Timeout: 1 seconds
BootOrder: 0000,0002,0001,0003
Boot0001* Windows Boot Manager
Boot0002* Precise Pangolin
Boot0003* UEFI: Sony Storage Media 1.00
Boot0000* grub
installation beendet. Keine Fehler aufgetreten.

********** warning ***********
the 'nvram-entry' = Boot0000* Ubuntu has been deleted by this routine!

**** grub-menu shell shows ****
 grub> set

 cmdpath=(hd0,gpt1)EFI/grub
 ....
 config_directory=(hd0,gpt1)EFI/ubuntu
 config_file=(hd0,gpt1)EFI/ubuntu/grub.cfg

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: grub-efi-amd64-signed 1.30+2.02~beta2-5
ProcVersionSignature: Ubuntu 3.13.0-5.20-generic 3.13.0
Uname: Linux 3.13.0-5-generic x86_64
ApportVersion: 2.13.2-0ubuntu2
Architecture: amd64
CurrentDesktop: KDE
Date: Tue Jan 28 14:48:48 2014
InstallationDate: Installed on 2014-01-27 (0 days ago)
InstallationMedia: Kubuntu 14.04 LTS "Trusty Tahr" - Alpha amd64 (20140127)
SourcePackage: grub2-signed
UpgradeStatus: No upgrade log present (probably fresh install)

syscon-hh (syscon-kono) wrote :
Colin Watson (cjwatson) on 2014-01-28
affects: grub2-signed (Ubuntu) → grub2 (Ubuntu)
syscon-hh (syscon-kono) wrote :

Next-> During the upgrade on an older 'trusty-Ubuntu-Gnome' System inside a terminal with
 * sudo apt-get update
 * sudo apt-get upgrade
the package upgrade
 * from grub_2.00-22 to grub_2.02~beta2-5
hints. The files inside the folder '/boot/efi/EFI/ubuntu' are not updated automatically.

Doing these installation manually in the terminal with
 * sudo grub-install -v
results in an new folder 'grub' as descibed above.

Colin Watson (cjwatson) wrote :

Thanks. I suspect my rebasing of the /etc/default/grub.d/ handling code to the new C version of grub-install et al didn't work quite right. That would explain why this only happens on Kubuntu and not Ubuntu GNOME.

Changed in grub2 (Ubuntu):
assignee: nobody → Colin Watson (cjwatson)
importance: Undecided → High
status: New → Triaged
syscon-hh (syscon-kono) wrote :

See above -> #2 is a trusty 'Ubuntu-GNOME' installation and there are no '/etc/default/grub.d' folder either a 'hijacking'-file!

syscon-hh (syscon-kono) wrote :

Yes deleting inside Kubuntu the folder '/etc/default/grub.d' solves it.

Forget my #4 - it will be my failure - I will look if there are former changes in the installation.

Colin Watson (cjwatson) on 2014-01-28
Changed in grub2 (Ubuntu):
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package grub2 - 2.02~beta2-6

---------------
grub2 (2.02~beta2-6) experimental; urgency=medium

  * Install bootinfo.txt and grub.chrp into grub-ieee1275-bin on powerpc and
    ppc64el.
  * Port yaboot logic to improve installation for various powerpc machine
    types.
  * Improve parsing of /etc/default/grub.d/*.cfg in C utilities
    (LP: #1273694).
  * Run grub-install on install or upgrade on grub-ieee1275/ppc64el.

 -- Colin Watson <email address hidden> Tue, 28 Jan 2014 23:50:55 +0000

Changed in grub2 (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers